
[ "$BRIDGE_IFNAME" ] || BRIDGE_IFNAME="br0"

down() {
  ip link set $1 down
  ip link set dev $1 nomaster
  ip link delete dev $1
  exit $?
}

start() {
#  if [ -n "$1" ] ; then
     ip tuntap add $1 mode tap user `whoami` 2>/dev/null
     ip link set $1 up
     sleep 0.5s
     ip link set $1 master "$BRIDGE_IFNAME"
     exit $?
#   else
#     echo "Error: no interface specified"
#     exit 1
#  fi
}

ME=`basename "$0"`
# 'qemu-netif' shouldn't be called by its own name ...
[ "$ME" = "qemu-netif" ] && echo invalid call && exit 1
# ... but through the up/down links
[ "$ME" = "qemu-brup" ] && start $1 || down $1
